@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300&display=swap');

body{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    color: white;
    font-family: 'Poppins', sans-serif;
    background-color: black;
}

.container{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 400px;
}

.line{
    position: relative;
    width: 100%;
    height: 18px;
    padding: 2px;
    border: 3px solid white;
    border-radius: 8px;
    box-sizing: border-box;
}

.line::before{
    content: '';
    position: absolute;
    width: 0;
    height: calc(100% - 4px);
    border-radius: 8px;
    background-color: #007bff;
    animation: loading 3.5s linear infinite;
}

@keyframes loading {
    to{
        width: calc(100% - 4px);
    }
}